package cn.hnthyy.thmz.service.impl.his;

import cn.hnthyy.thmz.entity.his.MzZyReq;
import cn.hnthyy.thmz.mapper.his.MzZyReqMapper;
import cn.hnthyy.thmz.service.his.MzZyReqService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class MzZyReqServiceImpl implements MzZyReqService {
    @SuppressWarnings("all")
    @Autowired
    private MzZyReqMapper mzZyReqMapper;
    @Override
    public List<MzZyReq> queryMzZyReqByPatientId(String patientId) {
        return mzZyReqMapper.selectMzZyReqByPatientId(patientId);
    }

    @Override
    public int modifyMzZyReq(MzZyReq mzZyReq) {
        return mzZyReqMapper.updateMzZyReq(mzZyReq);
    }
}
